Subject: RE: iSCSI: Require iSCSI to use packet formats similar to FC, etc ??

From: Charles Monia <[email-masked]>
Date: Thu, 26 Apr 2001 18:22:10 -0700

> -----Original Message-----
> From: KRUEGER,MARJORIE (HP-Roseville,ex1)
> [mailto:[email-masked]]
> Sent: Thursday, April 26, 2001 4:18 PM
> To: Ips Reflector (E-mail)
> Subject: iSCSI: Require iSCSI to use packet formats similar 
> to FC, etc??
> 
> 
> Robert Snively proposes that the iSCSI Requirements document 
> include the
> following requirement WRT gateway devices:
> 
>    iSCSI MUST use packet formats similar to the common
>    packet formats used by other packetized SCSI protocols where
>    possible to allow both simple bridging gateways and more
>    sophisticated translating gateways.
> 
> Comments?
> 

What is meant by 'similar'? Assuming the requested wording was added to the
requirements document, how would that impact the existing iSCSI spec?

Charles

---

From: Charles Monia <[email-masked]>
Date: Fri, 27 Apr 2001 13:29:05 -0700

Hi:

In my opinion, the proposed requirement is too vague as written and
therefore hard to discuss productively.  I'm not sure what the criteria for
compliance would be.

Charles
> Marjorie Krueger
> Networked Storage Architecture
> Networked Storage Solutions Org.
> Hewlett-Packard
> tel: +1 916 785 2656
> fax: +1 916 785 0391
> email: [email-masked] 
>

---

From: "John Hufferd" <[email-masked]>
Date: Fri, 27 Apr 2001 15:29:34 -0700

There are a number of things we have done with iSCSI, such as Multiple
Connections per Session which are important that do not map to Fibre
Channel.  (Most of you can also call out things in iSCSI which are
important to you, and different from FC).  The important thing is to carry
the semantic of SCSI, and cause as small as state as possible to be
required in the Gateways.  There are probably a number of folks on the
reflector that are building Gateways,  the most famous/infamous is CISCO.
So when Mark said it was not an issue, that other items were lots more
important, that locked the answer for me.  We are near the end of this PDU
format journey, and now that the OP Code issue is solve, we should be on
the tail end of the process.  Changing formats of PDUs should not  be
acceptable, now, unless something is broken.  So I do not think it is
important to add requirement words, that could distract us from finishing,
which have not been needed up to now.

We have bigger focus items now, like Naming, Discovery, Security, etc. we
should focus on this items, and not on items which are  non problems.

.
.
.
John L. Hufferd
Senior Technical Staff Member (STSM)
IBM/SSG San Jose Ca
(408) 256-0403, Tie: 276-0403,  eFax: (408) 904-4688
Internet address: [email-masked]

"KRUEGER,MARJORIE (HP-Roseville,ex1)" <[email-masked]>@ece.cmu.edu
on 04/27/2001 11:19:23 AM

Sent by:  [email-masked]

To:   "'Douglas Otis'" <[email-masked]>, "Ips Reflector (E-mail)"
      <[email-masked]>
cc:
Subject:  RE: iSCSI: Require iSCSI to use packet formats similar to FC, etc
      ??

> As the rules change from technology to technology, there are
> issues involved
> in this endeavor that will place into focus some potential
> problems.  I tend
> to think that an independent delivery protocol could be
> developed.

An independant protocol that is agnostic to the transport medium would
probably be too general to be optimal in any specific transport
environment.
I think the solution is to make SCSI truely independant of the transport
(strictly layered on top of the transport).  It seems that T10 is realizing
this and some are working towards that goal.

IMHO, requiring that iSCSI match other transport formats is going at the
problem from the wrong end.

Marj

---

From: Charles Monia <[email-masked]>
Date: Fri, 27 Apr 2001 16:30:26 -0700

Hi:

From an implementation standpoint, I'd much rather see the requirements
document reflect a commitment to freezing the PDU formats.  I don't know if
that's possible. In any event, I don't think the document should provide a
licence to destabilize the PDUs.

Charles
> From: John Hufferd [mailto:[email-masked]]
> Sent: Friday, April 27, 2001 3:30 PM
> To: KRUEGER,MARJORIE (HP-Roseville,ex1)
> Cc: [email-masked]
> Subject: RE: iSCSI: Require iSCSI to use packet formats similar to FC,
> etc ??
> 
> 
>